Mailmus

Analytics

GET
/projects/{projectId}/analytics
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Query Parameters

days*number

Response Body

application/json

curl -X GET "https://example.com/projects/string/analytics?days=0"
{  "projectId": "string",  "projectName": "string",  "contacts": {    "total": 0,    "unsubscribed": 0,    "unsubscribeRate": 0,    "newLast30Days": 0  },  "sends": {    "total": 0,    "delivered": 0,    "opened": 0,    "clicked": 0,    "bounced": 0,    "complained": 0,    "failed": 0,    "last30Days": 0,    "openRate": 0,    "clickRate": 0,    "bounceRate": 0,    "complaintRate": 0  },  "campaigns": {    "total": 0,    "sent": 0  },  "automations": {    "totalRuns": 0,    "completed": 0,    "failed": 0,    "successRate": 0  }}
GET
/projects/{projectId}/analytics/export
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Response Body

text/csv

curl -X GET "https://example.com/projects/string/analytics/export"
"string"
GET
/projects/{projectId}/analytics/time-series
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/analytics/time-series"
[  {    "date": "2026-08-29",    "sent": 0,    "opened": 0,    "clicked": 0,    "bounced": 0  }]
GET
/projects/{projectId}/analytics/by-domain
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/analytics/by-domain"
[  {    "domain": "mail.exemple.com",    "domainId": "string",    "status": "PENDING",    "total": 0,    "bounced": 0,    "complained": 0,    "opened": 0,    "clicked": 0,    "bounceRate": 0,    "complaintRate": 0,    "openRate": 0  }]